<?php

namespace Wappointment\Controllers;

use Wappointment\Services\Client;
use Wappointment\Services\Appointment;
use Wappointment\Validators\HttpRequest\Booking;
use Wappointment\WP\Helpers as WPHelpers;
use Wappointment\ClassConnect\Request;
class BookingController extends \Wappointment\Controllers\RestController
{
    public function save(\Wappointment\Validators\HttpRequest\Booking $booking)
    {
        if ($booking->hasErrors()) {
            return \Wappointment\WP\Helpers::restError('Review your fields', 500, $booking->getErrors());
        }
        $result = \Wappointment\Services\Client::book($booking);
        if (isset($result['errors'])) {
            return \Wappointment\WP\Helpers::restError('Impossible to proceed with the booking', 500, $result['errors']);
        }
        return ['result' => true, 'appointment' => (new \Wappointment\ClassConnect\Collection($result->toArraySpecial()))->except(['id', 'client_id'])];
    }
    public function reschedule(\Wappointment\ClassConnect\Request $request)
    {
        $result = \Wappointment\Services\Appointment::reschedule($request->input('appointmentkey'), $request->input('time'));
        return $result;
    }
}
