<?php

namespace Wappointment\Controllers;

use Wappointment\ClassConnect\Request;
use Wappointment\Services\Client;
use Wappointment\Validators\HttpRequest\BookingAdmin;
use Wappointment\Services\Admin;
use Wappointment\WP\Helpers as WPHelpers;
class ClientController extends \Wappointment\Controllers\RestController
{
    public function search(\Wappointment\ClassConnect\Request $request)
    {
        return \Wappointment\Services\Client::search($request->input('email'));
    }
    public function book(\Wappointment\Validators\HttpRequest\BookingAdmin $booking)
    {
        if ($booking->hasErrors()) {
            return \Wappointment\WP\Helpers::restError('Review your fields', 500, $booking->getErrors());
        }
        $result = \Wappointment\Services\Admin::book($booking);
        if (isset($result['errors'])) {
            return \Wappointment\WP\Helpers::restError('Impossible to proceed with the booking', 500, $result['errors']);
        }
        return ['message' => 'Appointment recorded'];
    }
}
