<?php

namespace Wappointment\Installation;

use Wappointment\WP\Helpers as WPHelpers;
class Process extends \Wappointment\Installation\AbstractProcess
{
    protected $key = 'installation_step';
    protected $steps = ['Wappointment\\Installation\\Steps\\CreateMigrationTable', 'Wappointment\\Installation\\Steps\\CreateTables', true];
    protected function isUpToDate()
    {
        if (empty(\Wappointment\WP\Helpers::getOption('installation_completed'))) {
            return false;
        }
        return true;
    }
    protected function completed()
    {
        (new \Wappointment\WP\CustomPage())->install();
        $this->complete = true;
        \Wappointment\Services\Settings::save('activeStaffId', \Wappointment\WP\Helpers::userId());
        \Wappointment\Services\Settings::save('email_notifications', \Wappointment\WP\Helpers::currentUserEmail());
        \Wappointment\System\Status::dbVersionUpdateComplete();
        return \Wappointment\WP\Helpers::setOption('installation_completed', (int) current_time('timestamp'), true);
    }
}
