<?php

namespace Wappointment\Messages;

use Wappointment\Models\Client;
use Wappointment\Models\Appointment;
use Wappointment\Services\Settings;
use Wappointment\Services\Service;
class AdminNewAppointmentEmail extends \Wappointment\Messages\AbstractAdminEmail
{
    protected $client = null;
    protected $appointment = null;
    public function loadEmail(\Wappointment\Models\Client $client, \Wappointment\Models\Appointment $appointment, $reminder_id = false)
    {
        $this->subject = 'New appointment';
        $this->addLogo();
        $this->addBr();
        $tz = \Wappointment\Services\Settings::getStaff('timezone');
        $this->addRoundedSquare(['Date: ' . $appointment->start_at->setTimezone($tz)->format(\Wappointment\Services\Settings::get('date_format')), 'Time: ' . $appointment->start_at->setTimezone($tz)->format(\Wappointment\Services\Settings::get('time_format')) . ' - ' . $appointment->end_at->setTimezone($tz)->format(\Wappointment\Services\Settings::get('time_format')), 'Service: ' . sanitize_text_field(\Wappointment\Services\Service::get()['name']), "Client's name: " . sanitize_text_field($client->name), "Client's email: " . sanitize_text_field($client->email)]);
    }
}
