<?php

namespace Wappointment\Messages;

use Wappointment\Models\Reminder;
use Wappointment\Models\Client;
use Wappointment\Models\Appointment;
class ClientBookingConfirmationEmail extends \Wappointment\Messages\AbstractEmail
{
    use HasAppointmentFooterLinks;
    protected $client = null;
    protected $appointment = null;
    const EVENT = \Wappointment\Models\Reminder::APPOINTMENT_CONFIRMED;
    public function loadEmail(\Wappointment\Models\Client $client, \Wappointment\Models\Appointment $appointment, $reminder_id = false)
    {
        $this->client = $client;
        $this->appointment = $appointment;
        $email = \Wappointment\Models\Reminder::where('published', 1)->where('type', \Wappointment\Models\Reminder::TYPE_EMAIL)->where('event', static::EVENT)->first();
        if (!$email) {
            return;
        }
        $this->subject = $email->subject;
        $this->body = $email->getHtmlBody($appointment);
    }
    public function replaceTags()
    {
        $this->body = (new \Wappointment\Messages\TagsReplacement($this->client, $this->appointment))->replace($this->body);
    }
}
