<?php

declare (strict_types=1);
namespace WappoVendor\Achse\Comparable;

interface IComparable
{
    /**
     * $this <  $other =>  returns less then 0
     * $this == $other =>  returns 0
     * $this >  $other =>  returns greater then 0
     *
     * @param IComparable $other
     * @return int (-1, 0, 1)
     */
    public function compare(\WappoVendor\Achse\Comparable\IComparable $other) : int;
    /**
     * @param IComparable $other
     * @return bool
     */
    public function isEqual(\WappoVendor\Achse\Comparable\IComparable $other) : bool;
    /**
     * @param IComparable $other
     * @return bool
     */
    public function isLessThan(\WappoVendor\Achse\Comparable\IComparable $other) : bool;
    /**
     * @param IComparable $other
     * @return bool
     */
    public function isLessThanOrEqual(\WappoVendor\Achse\Comparable\IComparable $other) : bool;
    /**
     * @param IComparable $other
     * @return bool
     */
    public function isGreaterThan(\WappoVendor\Achse\Comparable\IComparable $other) : bool;
    /**
     * @param IComparable $other
     * @return bool
     */
    public function isGreaterThanOrEqual(\WappoVendor\Achse\Comparable\IComparable $other) : bool;
}
