<?php

declare (strict_types=1);
namespace WappoVendor\Achse\Math\Interval\DateTimeImmutable;

use WappoVendor\Achse\Math\Interval\Boundary;
use WappoVendor\Achse\Math\Interval\Interval;
use WappoVendor\Achse\Math\Interval\IntervalStringParser;
final class DateTimeImmutableIntervalStringParser extends \WappoVendor\Achse\Math\Interval\IntervalStringParser
{
    /**
     * @param string $string
     * @return DateTimeImmutableInterval
     */
    public static function parse(string $string) : \WappoVendor\Achse\Math\Interval\Interval
    {
        list($left, $right) = self::parseBoundariesStringsFromString($string);
        return new \WappoVendor\Achse\Math\Interval\DateTimeImmutable\DateTimeImmutableInterval(self::parseBoundary($left), self::parseBoundary($right));
    }
    /**
     * @param string $string
     * @return DateTimeImmutableBoundary
     */
    protected static function parseBoundary(string $input) : \WappoVendor\Achse\Math\Interval\Boundary
    {
        list($elementString, $state) = self::parseBoundaryDataFromString($input);
        /** @var DateTimeImmutable $dateTime */
        $dateTime = \WappoVendor\Achse\Math\Interval\DateTimeImmutable\DateTimeImmutable::createFromFormat(\DateTime::ATOM, $elementString);
        return new \WappoVendor\Achse\Math\Interval\DateTimeImmutable\DateTimeImmutableBoundary(\WappoVendor\Achse\Math\Interval\DateTimeImmutable\DateTimeImmutable::from($dateTime), $state);
    }
}
